Syndai Docs

Delete a project

DELETE
/api/v1/external/coding/repos/{coding_repository_id}

A signed-in workspace owner or admin deletes a project: a Syndai-hosted project's files are deleted, a GitHub project is only removed from Syndai (your GitHub repo is never touched). Runs and receipts stay. 409 while a run is in progress or the site is up; an API key is 403 HUMAN_APPROVAL_REQUIRED; 404 for a repository that is not yours.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_repository_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
id*string
Formatuuid
status*string
Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "string"}
Was this page helpful?